<?php
/*-----------------------------------------------------------------
* 	ID:						general.js.php
* 	Letzter Stand:			v2.2 R365
* 	zuletzt geaendert von:	akausch
* 	Datum:					2012/07/03
*
* 	Copyright (c) since 2010 commerce:SEO by Webdesign Erfurt
* 	http://www.commerce-seo.de
* ------------------------------------------------------------------
* 	based on:
* 	(c) 2000-2001 The Exchange Project  (earlier name of osCommerce)
* 	(c) 2002-2003 osCommerce - www.oscommerce.com
* 	(c) 2003     nextcommerce - www.nextcommerce.org
* 	(c) 2005     xt:Commerce - www.xt-commerce.com
* 	Released under the GNU General Public License
* ---------------------------------------------------------------*/
if(GOOGLE_ANAL_ON == 'true' && GOOGLE_ANAL_CODE != '') {
	include(DIR_WS_INCLUDES.'google_analytics.js.php');
	echo GOOGLE_ANAL_CODE_BASE;
}
if(GENERAL_SCRIPT_ADDON != '') {
	echo GENERAL_SCRIPT_ADDON;
}
?>


<?php
if(strstr($_REQUEST['linkurl'], substr(FILENAME_CHECKOUT, 0, -5)) || strstr($PHP_SELF, substr(FILENAME_CHECKOUT, 0, -5))) {
?>
<script type="text/javascript">

    function hideFromStart(id) {
        jQuery('#chkt_' + id).hide();
        jQuery('#btn_' + id).html('+');
    }


<?php if (CHECKOUT_SHOW_SHIPPING_MODULES != 'true') { ?>
        hideFromStart('shipping_modules');
<?php } ?>
<?php if (CHECKOUT_SHOW_PAYMENT_MODULES != 'true') { ?>
        hideFromStart('payment_modules');
<?php } ?>
<?php if (CHECKOUT_SHOW_SHIPPING_ADDRESS != 'true') { ?>
        hideFromStart('shipping_address');
<?php } ?>
<?php if (CHECKOUT_SHOW_PAYMENT_ADDRESS != 'true') { ?>
        hideFromStart('payment_address');
<?php } ?>
<?php if (CHECKOUT_SHOW_COMMENTS != 'true') { ?>
        hideFromStart('comments');
<?php } ?>
<?php if (CHECKOUT_SHOW_AGB != 'true') { ?>
        hideFromStart('agb');
<?php } ?>
<?php if (CHECKOUT_SHOW_REVOCATION != 'true') { ?>
        hideFromStart('revocation');
<?php } ?>
<?php if (CHECKOUT_SHOW_DSG != 'true') { ?>
        hideFromStart('dsg');
<?php } ?>
<?php if (CHECKOUT_SHOW_PRODUCTS != 'true') { ?>
        hideFromStart('products');
<?php } ?>

</script>
<?php 
} 
?>
